# Supersingular Isogeny Key Encapsulation

``go-sike`` is a Golang implementation of [SIKE](http://sike.org) - isogeny-based key encryption mechanism. SIKE is a candidate for [standarization](https://csrc.nist.gov/Projects/Post-Quantum-Cryptography) by NIST as quantum-safe key exchange algorithm.

## Implementation

This code guarantees the correctness of implementation and portability. It is fully compatible with NIST PQC Round 2 submission. The implementation contains 2 finite fields implementations, namely ``p434`` and ``p503``.
